Subject: Re: [PATCH 1/1 v2] powerpc: hugetlb pgtable cache access cleanup

From: Andrew Morton <[email-masked]>
Date: Tue, 4 Nov 2008 13:32:31 -0800

On Thu, 30 Oct 2008 17:03:57 -0500
Jon Tollefson <[email-masked]> wrote:

> It was suggested by Andrew that using a macro that made an array
> look like a function call made it harder to understand the code.
> Cleaned up use of macro.  We now reference the pgtable_cache array
> directly instead of using a macro.  

I felt compelled to apply this.  See http://en.wikipedia.org/wiki/Sunk_costs
to see why I am an irrational actor.